//
//  Shader.fsh
//  ES20
//
//  Created by Aleksejs Mjaliks on 12.05.10.
//  Copyright (c) 2012. g. A25 SIA. All rights reserved.
//

varying lowp vec4 baseColorVarying;
varying lowp vec4 noiseColorVarying;
varying lowp vec2 texCoordVarying;

uniform sampler2D texture;

void main()
{
	lowp vec4 texel = texture2D(texture, texCoordVarying);
	lowp vec4 noiseColor = noiseColorVarying * texel;
	lowp float s = texel.a;
	lowp float d = 1.0 - s;
    gl_FragColor = vec4(noiseColor.rgb + d * baseColorVarying.rgb, 1.0);
}
