//
//  Shader.vsh
//  ES20
//
//  Created by Aleksejs Mjaliks on 12.05.10.
//  Copyright (c) 2012. g. A25 SIA. All rights reserved.
//

attribute vec4 position;
attribute vec4 baseColor;
attribute vec4 noiseColor;
attribute vec2 texCoord;

varying lowp vec4 baseColorVarying;
varying lowp vec4 noiseColorVarying;
varying lowp vec2 texCoordVarying;

uniform mat4 projection;
uniform mat4 transformMatrix;
uniform mat4 modelMatrix;

void main()
{
    baseColorVarying = baseColor;
	noiseColorVarying = noiseColor;
	texCoordVarying = texCoord;
    
    gl_Position = projection * transformMatrix * modelMatrix * position;
}
