//
//  Shader.vsh
//  ES20
//
//  Created by Aleksejs Mjaliks on 12.05.10.
//  Copyright (c) 2012. g. A25 SIA. All rights reserved.
//

attribute vec4 position;
attribute vec4 normal;
attribute vec2 texCoord;

varying lowp vec3 eyeNormal;
varying lowp vec2 texCoordVarying;

uniform mat4 projection;
uniform mat4 transformMatrix;
uniform mat4 modelView;
uniform mat3 normalMatrix;

void main()
{
    eyeNormal = normalMatrix * normal.xyz;
	texCoordVarying = texCoord;
    
    gl_Position = projection * transformMatrix * modelView * position;
}
